<?php

/**
 * NOTE: This file is auto generated by OpenAPI Generator.
 * Do NOT edit it manually. Run `php artisan openapi:generate-server`.
 */

namespace App\Http\ApiV1\OpenApiGenerated\Enums;

class ProductFlagEnum
{
    public const MODERATION = 1;
    public const CONTENT = 2;
    public const NOT_SENT_FOR_MODERATION = 3;
    public const NOT_AGREED = 4;
    public const REQUIRED_ATTRIBUTES = 5;
    public const REQUIRED_MASTER_DATA = 6;
    public const IN_SALE = 7;
    public const NOT_SALE = 8;

    /**
     * @return int[]
     */
    public static function cases(): array
    {
        return [
            self::MODERATION,
            self::CONTENT,
            self::NOT_SENT_FOR_MODERATION,
            self::NOT_AGREED,
            self::REQUIRED_ATTRIBUTES,
            self::REQUIRED_MASTER_DATA,
            self::IN_SALE,
            self::NOT_SALE,
        ];
    }
}
